/*  $Id: inputsource_netstream.cpp,v 1.4 2003/07/20 22:34:40 grumbel Exp $
**
**  ClanLib Game SDK
**  Copyright (C) 2003  The ClanLib Team
**  For a total list of contributers see the file CREDITS.
**
**  This library is free software; you can redistribute it and/or
**  modify it under the terms of the GNU Lesser General Public
**  License as published by the Free Software Foundation; either
**  version 2.1 of the License, or (at your option) any later version.
**
**  This library is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
**  Lesser General Public License for more details.
**
**  You should have received a copy of the GNU Lesser General Public
**  License along with this library; if not, write to the Free Software
**  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA
**
*/

#include "API/Network/NetSession/inputsource_netstream.h"
#include "API/Network/NetSession/netstream.h"
#include "netstream_generic.h"

/////////////////////////////////////////////////////////////////////////////
// CL_InputSource_NetStream construction:

CL_InputSource_NetStream::CL_InputSource_NetStream(const CL_NetStream &sock)
: netstream(sock.impl), ref_count_netstream(true)
{
	netstream->add_ref();
}

CL_InputSource_NetStream::~CL_InputSource_NetStream()
{
	if (ref_count_netstream) netstream->release_ref();
}

/////////////////////////////////////////////////////////////////////////////
// CL_InputSource_NetStream attributes:

int CL_InputSource_NetStream::tell() const
{
	return 0;
}

int CL_InputSource_NetStream::size() const
{
	return 0;
}

/////////////////////////////////////////////////////////////////////////////
// CL_InputSource_NetStream operations:

int CL_InputSource_NetStream::read(void *data, int size)
{
	return CL_NetStream(netstream).recv(data, size);
}

void CL_InputSource_NetStream::open()
{
}

void CL_InputSource_NetStream::close()
{
}

CL_InputSource *CL_InputSource_NetStream::clone() const
{
	return new CL_InputSource_NetStream(CL_NetStream(netstream));
}

void CL_InputSource_NetStream::seek(int pos, SeekEnum seek_type)
{
}

void CL_InputSource_NetStream::push_position()
{
}

void CL_InputSource_NetStream::pop_position()
{
}

/////////////////////////////////////////////////////////////////////////////
// CL_InputSource_NetStream implementation:
